classification
Title: Add tests for testing Python-Tcl interaction
Type: enhancement Stage: resolved
Components: Tests, Tkinter Versions: Python 3.2, Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: gpolo, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2013-02-03 19:10 by serhiy.storchaka, last changed 2013-02-07 13:43 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
tkinter_test_passing_values_2.patch serhiy.storchaka, 2013-02-05 13:20 review
tkinter_test_passing_values-2.7_2.patch serhiy.storchaka, 2013-02-05 13:20 review
Messages (3)
msg181286 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-02-03 19:10
Proposed patch adds tests for testing how Python values converted when passed to Tkinter and back. This patch was a part of issue16840, but other issues need this tests.
msg181434 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-02-05 13:17
I missed existing test_tcl. Patches updated, now they add new tests into 
test_tcl.
msg181608 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-02-07 13:42
New changeset f7cc6fbd7ae1 by Serhiy Storchaka in branch '2.7':
Issue #17118: Add new tests for testing Python-Tcl interaction.
http://hg.python.org/cpython/rev/f7cc6fbd7ae1

New changeset 148e6ebfe854 by Serhiy Storchaka in branch '3.2':
Issue #17118: Add new tests for testing Python-Tcl interaction.
http://hg.python.org/cpython/rev/148e6ebfe854

New changeset 452344620c97 by Serhiy Storchaka in branch '3.3':
Issue #17118: Add new tests for testing Python-Tcl interaction.
http://hg.python.org/cpython/rev/452344620c97

New changeset f0d603948cff by Serhiy Storchaka in branch 'default':
Issue #17118: Add new tests for testing Python-Tcl interaction.
http://hg.python.org/cpython/rev/f0d603948cff
History
Date User Action Args
2013-02-07 13:43:22serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2013-02-07 13:42:48python-devsetnosy: + python-dev
messages: + msg181608
2013-02-05 13:20:44serhiy.storchakasetfiles: + tkinter_test_passing_values_2.patch, tkinter_test_passing_values-2.7_2.patch
2013-02-05 13:19:12serhiy.storchakasetfiles: - tkinter_test_passing_values-2.7_2.patch
2013-02-05 13:18:45serhiy.storchakasetfiles: - tkinter_test_passing_values_2.patch
2013-02-05 13:18:30serhiy.storchakasetfiles: - tkinter_test_passing_values-2.7.patch
2013-02-05 13:18:14serhiy.storchakasetfiles: - tkinter_test_passing_values.patch
2013-02-05 13:17:08serhiy.storchakasetfiles: + tkinter_test_passing_values_2.patch, tkinter_test_passing_values-2.7_2.patch

messages: + msg181434
2013-02-03 19:35:55serhiy.storchakalinkissue17119 dependencies
2013-02-03 19:21:42serhiy.storchakasetfiles: + tkinter_test_passing_values-2.7.patch
versions: + Python 2.7
2013-02-03 19:10:30serhiy.storchakacreate